selinux_colors_path(3)

NAME
selinux_colors_path - Return a path to the active SELinux policy color configuration file

SYNOPSIS
#include <selinux/selinux.h>

const char *selinux_colors_path(void);

DESCRIPTION
selinux_colors_path() returns the path to the active policy color configuration file.

The path is built from the path returned by selinux_policy_root(3) with /secolor.conf appended.

This optional configuration file whose format is shown in secolor.conf(5), controls the colors to be associated with the raw context components of the selinux_raw_context_to_color(3) function when information is to be displayed by an SELinux color-aware application.

RETURN VALUE
On success, the path to the active policy color configuration file is returned. If a path is not available NULL is returned.

ERRORS
None.

SEE ALSO
selinux(8), selinux_policy_root(3), selinux_config(5), selinux_raw_context_to_color(3), secolor.conf(5)